Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc.metadata
Class JDBCJBossQLQueryMetaData

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.metadata.JDBCJBossQLQueryMetaData

All Implemented Interfaces:
  JDBCQueryMetaData

public final class JDBCJBossQLQueryMetaData
extends Object
implements JDBCQueryMetaData

Immutable class which contains information about an JBossQL query.

Version:
  $Revision: 1.11 $
Author:
  Dain Sundstrom

Constructor Summary
`JDBCJBossQLQueryMetaData(boolean resultTypeMappingLocal, Element element, Method method, JDBCReadAheadMetaData readAhead, Class compiler, boolean lazyResultSetLoading)` Constructs a JDBCJBossQLQueryMetaData with JBossQL declared in the jboss-ql elemnt and is invoked by the specified method.
`JDBCJBossQLQueryMetaData(JDBCJBossQLQueryMetaData defaults, JDBCReadAheadMetaData readAhead, Class qlCompiler, boolean lazyResultSetLoading)` Constructs a JDBCJBossQLQueryMetaData with JBossQL declared in the jboss-ql elemnt and is invoked by the specified method.

Method Summary
`boolean` | `equals(Object o)` Compares this JDBCJBossQLQueryMetaData against the specified object.
`String` | `getJBossQL()` Gets the JBossQL query which will be invoked.
`Method` | `getMethod()` Gets the method which invokes this query.
`Class` | `getQLCompilerClass()`
`JDBCReadAheadMetaData` | `getReadAhead()` Gets the read ahead metadata for the query.
`int` | `hashCode()` Returns a hashcode for this JDBCJBossQLQueryMetaData.
`boolean` | `isLazyResultSetLoading()`
`boolean` | `isResultTypeMappingLocal()` Is the result set of ejbSelect is mapped to local ejb objects or remote ejb objects.
`String` | `toString()` Returns a string describing this JDBCJBossQLQueryMetaData.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDBCJBossQLQueryMetaData

    public JDBCJBossQLQueryMetaData(JDBCJBossQLQueryMetaData defaults,
                                    JDBCReadAheadMetaData readAhead,
                                    Class qlCompiler,
                                    boolean lazyResultSetLoading)
                             throws org.jboss.deployment.DeploymentException

  Constructs a JDBCJBossQLQueryMetaData with JBossQL declared in the jboss-ql elemnt and is invoked by the specified method.

### JDBCJBossQLQueryMetaData

    public JDBCJBossQLQueryMetaData(boolean resultTypeMappingLocal,
                                    Element element,
                                    Method method,
                                    JDBCReadAheadMetaData readAhead,
                                    Class compiler,
                                    boolean lazyResultSetLoading)
                             throws org.jboss.deployment.DeploymentException

  Constructs a JDBCJBossQLQueryMetaData with JBossQL declared in the jboss-ql elemnt and is invoked by the specified method.

Method Detail

### getMethod

    public Method getMethod()

  Description copied from interface: `JDBCQueryMetaData`
  Gets the method which invokes this query.

  Specified by:
    `getMethod` in interface `JDBCQueryMetaData`
  Returns:
    the Method object which invokes this query

### getQLCompilerClass

    public Class getQLCompilerClass()

  Specified by:
    `getQLCompilerClass` in interface `JDBCQueryMetaData`
  Returns:
    EJBQL compiler implementation

### getJBossQL

    public String getJBossQL()

  Gets the JBossQL query which will be invoked.

  Returns:
    the ejb ql String for this query

### isResultTypeMappingLocal

    public boolean isResultTypeMappingLocal()

  Description copied from interface: `JDBCQueryMetaData`
  Is the result set of ejbSelect is mapped to local ejb objects or remote ejb objects.

  Specified by:
    `isResultTypeMappingLocal` in interface `JDBCQueryMetaData`
  Returns:
    true, if the result set is to be local objects

### getReadAhead

    public JDBCReadAheadMetaData getReadAhead()

  Gets the read ahead metadata for the query.

  Specified by:
    `getReadAhead` in interface `JDBCQueryMetaData`
  Returns:
    the read ahead metadata for the query.

### isLazyResultSetLoading

    public boolean isLazyResultSetLoading()

  Specified by:
    `isLazyResultSetLoading` in interface `JDBCQueryMetaData`

### equals

    public boolean equals(Object o)

  Compares this JDBCJBossQLQueryMetaData against the specified object. Returns true if the objects are the same. Two JDBCJBossQLQueryMetaData are the same if they are both invoked by the same method.

  Parameters:
    `o` - the reference object with which to compare
  Returns:
    true if this object is the same as the object argument; false otherwise

### hashCode

    public int hashCode()

  Returns a hashcode for this JDBCJBossQLQueryMetaData. The hashcode is computed by the method which invokes this query.

  Returns:
    a hash code value for this object

### toString

    public String toString()

  Returns a string describing this JDBCJBossQLQueryMetaData. The exact details of the representation are unspecified and subject to change, but the following may be regarded as typical:

  "[JDBCJBossQLQueryMetaData: method=public org.foo.User findByName(java.lang.String)]"

  Returns:
    a string representation of the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.